@charset "UTF-8";

slideshow {
  position: relative;
  display: grid;
  grid-template: "slide" 100% / 100%;
  height: 100%;
  width: 100%;
}
slideshow slide {
  position: relative;
  grid-area: slide;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
  width: 100%;
  opacity: 0;
  box-sizing: border-box;
  pointer-events: none;
  transition: opacity 0.6s ease;
}
slideshow slide[active] {
  opacity: 1;
  pointer-events: auto;
}
/* slideshow button[type="prev"], slideshow button[type="next"] {
  position: relative;
  display: block;
  z-index: 10;
} */

carousel {
  --controls-padding: 0px;
  position: relative;
  display: flex;
  width: 100%;
}
carousel items {
  --cols: 3; /* replace with number of cols */
  --gap: 0.8em; /* replace with desired gap */
  display: grid;
  grid-template-rows: 1fr;
  grid-column-gap: var(--gap);
  grid-auto-columns: calc(calc(100% / var(--cols)) - calc(var(--gap) / var(--cols) * calc(var(--cols) - 1)));
  grid-auto-flow: column;
  height: 100%;
  width: 100%;
  overflow: hidden;
}
carousel item {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
}
carousel button[type="prev"], carousel button[type="next"] {
  position: absolute;
  top: 50%;
  padding: 0px;
  background: none;
  border: 0px;
  /* color: currentColor; */
  transform: translateY(-50%);
}
carousel button[type="prev"] {
  left: var(--controls-padding);
}
carousel button[type="next"] {
  right: var(--controls-padding);
}
